aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libx11/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'x11/libx11/APKBUILD')
-rw-r--r--x11/libx11/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/x11/libx11/APKBUILD b/x11/libx11/APKBUILD
new file mode 100644
index 0000000000..18762aee8f
--- /dev/null
+++ b/x11/libx11/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libx11
+pkgver=1.1.99.2
+pkgrel=1
+pkgdesc="X11 client-side library"
+url="http://xorg.freedesktop.org/"
+license="custom:XFREE86"
+depends="uclibc libxcb libxau libxdmcp"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="libxcb-dev libxau-dev libxdmcp-dev xproto xextproto
+ xf86bigfontproto xtrans kbproto inputproto util-macros pkgconfig
+ autoconf automake libtool"
+source="http://xorg.freedesktop.org/releases/individual/lib/libX11-$pkgver.tar.bz2
+ 012_ru_RU_UTF-8_XLC_LOCALE.diff
+ "
+
+depends_dev="xproto kbproto libxau-dev libxdmcp-dev libxcb-dev"
+
+build() {
+ cd "$srcdir"/libX11-$pkgver
+ for i in ../*.diff; do
+ msg "Applying $i..."
+ patch -p1 < $i || return 1
+ done
+
+ libtoolize --force --copy || return 1
+ aclocal || return 1
+ autoconf || return 1
+ automake --add-missing || return 1
+
+ ./configure --prefix=/usr \
+ --with-xcb || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="2450f861d39939e46f8a4ced1abc3504 libX11-1.1.99.2.tar.bz2
+c7e38a68b932ed557bc71979eed2a8a1 012_ru_RU_UTF-8_XLC_LOCALE.diff"